Name: xmltex
Version: 1.8
Release: alt5

Summary: TeX-based XML parser
Group: Publishing
License:  LPPL

PreReq: tetex-latex >= 2.0

# Automatically added by buildreq on Fri Oct 31 2003
BuildRequires: tetex-core tetex-latex

BuildRequires: tetex-latex >= 2.0

Source0: xmltex-%version.tar.gz
Patch0: xmltex-version.patch

Packager: Anton V. Boyarshinov <boyarsh@altlinux.ru>

%description
xmltex: A non validating (and not 100%
conforming) namespace aware XML parser implemented in TeX

%prep
%setup -q 
%patch0 


%build

pdftex -ini "&pdflatex" pdfxmltex.ini
tex -ini "&latex" xmltex.ini


%install

mkdir -p %buildroot%_datadir/texmf/tex/xmltex
install -c -m644 *.xmt %buildroot%_datadir/texmf/tex/xmltex/
install -c -m644 *.tex %buildroot%_datadir/texmf/tex/xmltex/
install -c -m644 *.ini %buildroot%_datadir/texmf/tex/xmltex/
install -c -m644 *.cfg %buildroot%_datadir/texmf/tex/xmltex/
install -c -m644 *.x[ms]l %buildroot%_datadir/texmf/tex/xmltex/


mkdir -p %buildroot%_cachedir/texmf/web2c/
install -c -m644 xmltex.fmt %buildroot%_cachedir/texmf/web2c/
install -c -m644 pdfxmltex.fmt %buildroot%_cachedir/texmf/web2c/

mkdir -p %buildroot/usr/bin/
ln -s /usr/bin/tex %buildroot/usr/bin/xmltex
ln -s /usr/bin/pdftex %buildroot/usr/bin/pdfxmltex

%clean

%files 
%doc lppl.txt manual.html
%_datadir/texmf/tex/xmltex/*
%_cachedir/texmf/web2c/xmltex.fmt 
%_cachedir/texmf/web2c/pdfxmltex.fmt
%_bindir/*


%post
    [ -x /usr/bin/texhash ] && /usr/bin/texhash 2>/dev/null ||:

%postun
    [ -x /usr/bin/texhash ] && /usr/bin/texhash 2>/dev/null ||:


%changelog
* Fri Feb 14 2003 Anton V. Boyarshinov <boyarsh@altlinux.ru> 1.8-alt5
- buildreq fixed
- sisyphus check compatibility fixed
- passivetex dependance removed


* Fri Feb 14 2003 Anton V. Boyarshinov <boyarsh@altlunux.ru> 1.8-alt4
- Rebuild against tetex-2.0-alt1 (i knowing nothing about alt3)

* Sun Nov 24 2002 Alexander Bokovoy <ab@altlinux.ru> 1.8-alt2.2
- Fix interdependencies with passivetex (%name requires fotex.sty
  but passivetex requires name. Our requirement is stronger due
  xmltex executables, thus PreReq: on passivetex)

* Sun Nov 24 2002 Alexander Bokovoy <ab@altlinux.ru> 1.8-alt2.1
- Rebuild against tetex-2.0-alt0.5

* Mon Sep 02 2002 Anton V. Boyarshinov <boyarsh@altlunux.ru> 1.8-alt2
- dependences fixed

* Tue Jun 25 2002 Anton V. Boyarshinov <boyarsh@altlunux.ru> 1.8-alt1
- first build
